<!DOCTYPE html>
<meta charset="utf-8">
<head>
  <title>Cluster layout</title>
</head>

<style>
.node {
  fill: steelblue;
  stroke: none;
}

.link {
  fill: none;
  stroke: #ccc;
  stroke-width: 1px;
}

#treegraph{
  position: absolute;
  left:50px;
  top: 400px;
  border: 1px solid #DED8BF;
  background-color: #f4f4d9;
  width:  1800px;
  height: 800px;
}

#states{
  position: absolute;
  left:50px;
  top: 80px;
  border: 1px solid #DED8BF;
  background-color: #f4f4d9;
  width:  1800px;
  height: 200px;
}

#DataSelection{
  position: absolute;
  left:250px;
  top: 250px;
  background-color: "white";
  width:  1400px;
  height: 20px;
}
#ModuleSelection
{
  position: absolute;
  left:790px;
  top: 250px;
  background-color: "white";
  width:  1400px;
  height: 20px;
}

#CallSelection
{
  position: absolute;
  left:1250px;
  top: 250px;
  background-color: "white";
  width:  1400px;
  height: 20px;
}

#draw_headertree{
  position: absolute;
  left:600px;
  top: 180px;
 
  width:  100px;
  height: 60px;
}
#draw_filetree{
  position: absolute;
  left:100px;
  top: 180px;
 
  width:  100px;
  height: 60px;
}

#draw_calltree{
  position: absolute;
  left:1250px;
  top: 180px;
 
  width:  100px;
  height: 60px;
}

#draw_stmttree{
  position: absolute;
  left:1500px;
  top: 180px;
 
  width:  100px;
  height: 60px;
}

h1{
  position: absolute;
  left:500px;
  top: 0px; 
}

h2{
  position: absolute;
  left:800px;
  top: 350px; 
}



select {
        width: 250px;
        margin: 0px;
    }
    select:focus {
        min-width: 250px;
        width: auto;
    }

</style>

<body>
  <h1>CONTROL SIMULATION MODULE CONVERSION</h1>
  <h2>VIEW CHILD<->PARENT TREE</h2>
  <svg id="states">
    <g transform="translate(5,20)" id="program_states">
      <g class="states">
        <text x="20" y="25" fill="black">req.dir.recogn.</text>
        <circle cx="50" cy="50" r="20" stroke="black" stroke-width="1" fill="red" />
      </g>
      <g class="states">
        <text x="140" y="25" fill="black">dirs recognized</text>
        <circle cx="170" cy="50" r="20" stroke="black" stroke-width="1" fill="grey" />
      </g>
      <g class="states">
        <text x="260" y="25" fill="black">dir selected</text>
        <circle cx="290" cy="50" r="20" stroke="black" stroke-width="1" fill="grey" />
      </g>            
      <g class="states">
        <text x="350" y="25" fill="black">C + xml module sel.</text>
        <circle cx="410" cy="50" r="20" stroke="black" stroke-width="1" fill="grey" />
      </g>      
      <g class="states">
        <text x="500" y="25" fill="black">nested incl. res.</text>
        <circle cx="530" cy="50" r="20" stroke="black" stroke-width="1" fill="grey" />
      </g>      
      <g class="states">
        <text x="620" y="25" fill="black">loc.bld conf.crtd</text>
        <circle cx="650" cy="50" r="20" stroke="black" stroke-width="1" fill="grey" />
      </g>      
      <g class="states">
        <text x="740" y="25" fill="black">loc.arch.blt.</text>
        <circle cx="770" cy="50" r="20" stroke="black" stroke-width="1" fill="grey" />
      </g> 
      <g class="states">
        <text x="860" y="25" fill="black">taskl.conf.read</text>
        <circle cx="890" cy="50" r="20" stroke="black" stroke-width="1" fill="grey" />
      </g>     
      <g class="states">
        <text x="980" y="25" fill="black">XML IF proc.</text>
        <circle cx="1010" cy="50" r="20" stroke="black" stroke-width="1" fill="grey" />
      </g>
      <g class="states">
        <text x="1100" y="25" fill="black">IF created</text>
        <circle cx="1130" cy="50" r="20" stroke="black" stroke-width="1" fill="grey" />
      </g>      
      


    </g>
  </svg>
  <form id="DataSelection"><select width="150px" name="Base Directories"><option value="tbd">tbd</option></select><button type="button">SELECT A RECOGNIZED DIR AND CLICK</button></form>
  <form id="ModuleSelection"><select width="150px" name="Base Directories"><option value="tbd">tbd</option></select><button type="button">SELECT A MODULE CLICK</button></form>
  <form id="CallSelection"><select width="150px" name="Base Directories"><option value="tbd">tbd</option></select><button type="button">SELECT A CALL</button></form>
  <button type="button" id="draw_filetree">Load Filetree</button> 
  <button type="button" id="draw_headertree">Load Headertree</button> 
  <button type="button" id="draw_calltree">Load Calltree</button> 
  <button type="button" id="draw_stmttree">Load Statementtree</button>   

  <svg id="treegraph">
    <g transform="translate(5,20)" id="graph">
      <g class="links"></g>
      <g class="nodes"></g>
    </g>
  </svg>
  
  <script type="text/javascript", src="node_modules/d3/dist/d3.min.js"></script>
  <script type="text/javascript", src="node_modules/socket.io/client-dist/socket.io.js"></script>
  <script type="module", src="Script/createNvisHirarch.js"></script>
  

<script type="module">
	var socket = io({autoConnect: false});
 	if(!socket.connected)
 	{
    	socket.connect();    
 	}
 	import {createNvisHirarch} from "./Script/createNvisHirarch.js";
 	createNvisHirarch(socket);
  </script>
</body>
</html>